Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024580
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorsometimes2013-08-26 10:012014-02-12 18:29
ReporterioritzCiaView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revisionb6f6c4710817
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_22
OS VersionUbuntu 10.04Database version8.4Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toshankarb
Web browserGoogle Chrome
ModulesJSON Datasource
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024580: Depending on a selector's definition lower case values are not properly filtered.

DescriptionThere is an issue in AdvancedQueryBuilder with the use of ignoreCase method. This method only accepts one property of the fields of a selector. When the property passed as parameter is a primitive one or it is numeric or it is a date, but the selector has more properties that are not of this sort, the ignoreCase method should return true, as there are properties that need their case to be ignored.
Steps To ReproduceBuild a selector that has a numeric field and a string field. The numeric field must be the last one in order to be the one selected in the following code line of the parseSimpleClause(String fieldName, String operator, Object value) method

final Property property = properties.get(properties.size() - 1);

and passed to the buildRightClause(property, operator, value) method.
Proposed SolutionIt is attached as a diff
TagsNo tags attached.
Attached Filesdiff file icon AdvancedQueryBuilder.diff [^] (2,156 bytes) 2013-08-26 10:02 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0063650)
hgbot (developer)
2014-01-23 11:52

Repository: erp/devel/pi
Changeset: dd774c8db2f1bb1d5fdd480893872a96b511b2c5
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Jan 23 11:50:05 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/dd774c8db2f1bb1d5fdd480893872a96b511b2c5 [^]

Fixes issue 24580: Casing was being wrongfully ignored in some filters

When filtering a column that pointed to a table with a multiple identifier, sometimes the casing was being ignored when it shouldn't. All the properties that conform the identifier should be taken into account, not just the first one.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0063651)
hgbot (developer)
2014-01-23 12:20

Repository: erp/devel/pi
Changeset: 14b3ede3791834ce00d96a84726e6c2f2e090a40
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Jan 23 12:20:01 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/14b3ede3791834ce00d96a84726e6c2f2e090a40 [^]

Related to issue 24580: Backs out change

Backs out fix of issue 24580, it is breaking the build process

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0063652)
AugustoMauch (developer)
2014-01-23 12:23

Reopened, fix caused build error
(0063653)
hgbot (developer)
2014-01-23 12:32

Repository: erp/devel/pi
Changeset: b6f6c4710817c5023ffb33b6d3ecb376aaae993e
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Jan 23 12:30:29 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b6f6c4710817c5023ffb33b6d3ecb376aaae993e [^]

Fixes issue 24580: Casing was being wrongfully ignored in some filters

First commit that tried to fix 24580 was creating a method that already existed.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0063728)
shankarb (developer)
2014-01-28 06:30

Code reviewed and verified in pi changeset 9b47b9cdf8c1.
(0064104)
hudsonbot (developer)
2014-02-12 18:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d1a5bb862230 [^]
Maturity status: Test
(0064105)
hudsonbot (developer)
2014-02-12 18:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d1a5bb862230 [^]
Maturity status: Test
(0064106)
hudsonbot (developer)
2014-02-12 18:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d1a5bb862230 [^]
Maturity status: Test
(0064107)
hudsonbot (developer)
2014-02-12 18:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d1a5bb862230 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-08-26 10:01 ioritzCia New Issue
2013-08-26 10:01 ioritzCia Assigned To => AugustoMauch
2013-08-26 10:01 ioritzCia Web browser => Google Chrome
2013-08-26 10:01 ioritzCia Modules => JSON Datasource
2013-08-26 10:01 ioritzCia Triggers an Emergency Pack => No
2013-08-26 10:02 ioritzCia File Added: AdvancedQueryBuilder.diff
2013-09-03 11:08 AugustoMauch Status new => scheduled
2013-09-03 11:08 AugustoMauch fix_in_branch => pi
2013-11-14 18:00 xabiermerino Web browser Google Chrome => Google Chrome
2013-11-14 18:00 xabiermerino Target Version => 3.0MP31
2013-11-14 18:00 xabiermerino fix_in_branch pi =>
2014-01-02 12:38 jonalegriaesarte Target Version 3.0MP31 => 3.0MP32
2014-01-23 11:51 AugustoMauch Issue Monitored: shankarb
2014-01-23 11:51 AugustoMauch Review Assigned To => shankarb
2014-01-23 11:51 AugustoMauch Web browser Google Chrome => Google Chrome
2014-01-23 11:52 hgbot Checkin
2014-01-23 11:52 hgbot Note Added: 0063650
2014-01-23 11:52 hgbot Status scheduled => resolved
2014-01-23 11:52 hgbot Resolution open => fixed
2014-01-23 11:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/dd774c8db2f1bb1d5fdd480893872a96b511b2c5 [^]
2014-01-23 12:20 hgbot Checkin
2014-01-23 12:20 hgbot Note Added: 0063651
2014-01-23 12:23 AugustoMauch Note Added: 0063652
2014-01-23 12:23 AugustoMauch Status resolved => new
2014-01-23 12:23 AugustoMauch Resolution fixed => open
2014-01-23 12:32 hgbot Checkin
2014-01-23 12:32 hgbot Note Added: 0063653
2014-01-23 12:32 hgbot Status new => resolved
2014-01-23 12:32 hgbot Resolution open => fixed
2014-01-23 12:32 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/dd774c8db2f1bb1d5fdd480893872a96b511b2c5 [^] => http://code.openbravo.com/erp/devel/pi/rev/b6f6c4710817c5023ffb33b6d3ecb376aaae993e [^]
2014-01-28 06:30 shankarb Note Added: 0063728
2014-01-28 06:30 shankarb Status resolved => closed
2014-01-28 06:30 shankarb Fixed in Version => 3.0MP32
2014-02-12 18:29 hudsonbot Checkin
2014-02-12 18:29 hudsonbot Note Added: 0064104
2014-02-12 18:29 hudsonbot Checkin
2014-02-12 18:29 hudsonbot Note Added: 0064105
2014-02-12 18:29 hudsonbot Checkin
2014-02-12 18:29 hudsonbot Note Added: 0064106
2014-02-12 18:29 hudsonbot Checkin
2014-02-12 18:29 hudsonbot Note Added: 0064107


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker